org.fourthline.cling.support.model

## Class Connection.StatusInfo

- java.lang.Object
- - org.fourthline.cling.support.model.Connection.StatusInfo

- Enclosing class:
    Connection

      public static class Connection.StatusInfo
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Connection.StatusInfo(Connection.Status status, long uptimeSeconds, Connection.Error lastError)`
    `Connection.StatusInfo(Connection.Status status, UnsignedIntegerFourBytes uptime, Connection.Error lastError)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Connection.Error` | `getLastError()`
    `Connection.Status` | `getStatus()`
    `UnsignedIntegerFourBytes` | `getUptime()`
    `long` | `getUptimeSeconds()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Connection.StatusInfo

          public Connection.StatusInfo(Connection.Status status,
                               UnsignedIntegerFourBytes uptime,
                               Connection.Error lastError)

    - #### Connection.StatusInfo

          public Connection.StatusInfo(Connection.Status status,
                               long uptimeSeconds,
                               Connection.Error lastError)

  - ### Method Detail

    - #### getStatus

          public Connection.Status getStatus()

    - #### getUptimeSeconds

          public long getUptimeSeconds()

    - #### getUptime

          public UnsignedIntegerFourBytes getUptime()

    - #### getLastError

          public Connection.Error getLastError()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.